summaryrefslogtreecommitdiff
path: root/media-sound
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2015-05-14 14:31:22 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2015-05-14 14:31:22 +0300
commit09b0f092ac141e59b01e0a0434f0e5b5e9aff5e9 (patch)
treeeec6d00c4c604caf14636d374e189ae9383c2722 /media-sound
parentbf9813ad8af87f0e1bcdea352f34f5b36f024658 (diff)
mpd ebuild from mpd repo (with tiny fix)
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/mpd/files/mpd.init32
-rw-r--r--media-sound/mpd/files/mpd.logrotate6
-rw-r--r--media-sound/mpd/files/mpdconf.patch70
-rw-r--r--media-sound/mpd/metadata.xml37
-rw-r--r--media-sound/mpd/mpd-scm.ebuild200
5 files changed, 345 insertions, 0 deletions
diff --git a/media-sound/mpd/files/mpd.init b/media-sound/mpd/files/mpd.init
new file mode 100644
index 0000000..2a75f7d
--- /dev/null
+++ b/media-sound/mpd/files/mpd.init
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/mpd/files/mpd.init,v 1.1 2010/09/10 07:55:07 angelos Exp $
+
+depend() {
+ need localmount
+ use net netmount nfsmount alsa esound pulseaudio
+}
+
+checkconfig() {
+ if ! [ -f /etc/mpd.conf ]; then
+ eerror "Configuration file /etc/mpd.conf does not exist."
+ return 1
+ fi
+
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting Music Player Daemon"
+ start-stop-daemon --start --quiet --background --exec /usr/bin/mpd --pidfile /var/run/mpd.pid --make-pidfile -- --no-daemon /etc/mpd.conf 2>/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Music Player Daemon"
+ start-stop-daemon --stop --exec /usr/bin/mpd --pidfile /var/run/mpd.pid
+ eend $?
+}
diff --git a/media-sound/mpd/files/mpd.logrotate b/media-sound/mpd/files/mpd.logrotate
new file mode 100644
index 0000000..94933df
--- /dev/null
+++ b/media-sound/mpd/files/mpd.logrotate
@@ -0,0 +1,6 @@
+/var/lib/mpd/log {
+ missingok
+ postrotate
+ [ -f /var/run/mpd.pid ] && /bin/kill -HUP `cat /var/run/mpd.pid`
+ endscript
+}
diff --git a/media-sound/mpd/files/mpdconf.patch b/media-sound/mpd/files/mpdconf.patch
new file mode 100644
index 0000000..8f193c8
--- /dev/null
+++ b/media-sound/mpd/files/mpdconf.patch
@@ -0,0 +1,70 @@
+Index: mpd-0.16/doc/mpdconf.dist
+===================================================================
+--- mpd-0.16.orig/doc/mpdconf.dist
++++ mpd-0.16/doc/mpdconf.dist
+@@ -10,14 +10,14 @@
+ # be disabled and audio files will only be accepted over ipc socket (using
+ # file:// protocol) or streaming files over an accepted protocol.
+ #
+-#music_directory "~/music"
++music_directory "/var/lib/mpd/music"
+ #
+ # This setting sets the MPD internal playlist directory. The purpose of this
+ # directory is storage for playlists created by MPD. The server will use
+ # playlist files not created by the server but only if they are in the MPD
+ # format. This setting defaults to playlist saving being disabled.
+ #
+-#playlist_directory "~/.mpd/playlists"
++playlist_directory "/var/lib/mpd/playlists"
+ #
+ # This setting sets the location of the MPD database. This file is used to
+ # load the database at server start up and store the database while the
+@@ -25,7 +25,7 @@
+ # MPD to accept files over ipc socket (using file:// protocol) or streaming
+ # files over an accepted protocol.
+ #
+-#db_file "~/.mpd/database"
++db_file "/var/lib/mpd/database"
+ #
+ # These settings are the locations for the daemon log files for the daemon.
+ # These logs are great for troubleshooting, depending on your log_level
+@@ -34,7 +34,7 @@
+ # The special value "syslog" makes MPD use the local syslog daemon. This
+ # setting defaults to logging to syslog, otherwise logging is disabled.
+ #
+-#log_file "~/.mpd/log"
++log_file "/var/lib/mpd/log"
+ #
+ # This setting sets the location of the file which stores the process ID
+ # for use of mpd --kill and some init scripts. This setting is disabled by
+@@ -47,7 +47,7 @@
+ # it was brought down. This setting is disabled by default and the server
+ # state will be reset on server start up.
+ #
+-#state_file "~/.mpd/state"
++state_file "/var/lib/mpd/state"
+ #
+ # The location of the sticker database. This is a database which
+ # manages dynamic information attached to songs.
+@@ -64,7 +64,7 @@
+ # initialization. This setting is disabled by default and MPD is run as the
+ # current user.
+ #
+-#user "nobody"
++user "mpd"
+ #
+ # This setting specifies the group that MPD will run as. If not specified
+ # primary group of user specified with "user" setting will be used (if set).
+@@ -78,10 +78,10 @@
+ # This setting can deny access to control of the daemon.
+ #
+ # For network
+-#bind_to_address "any"
++bind_to_address "localhost"
+ #
+ # And for Unix Socket
+-#bind_to_address "~/.mpd/socket"
++bind_to_address "/var/lib/mpd/socket"
+ #
+ # This setting is the TCP port that is desired for the daemon to get assigned
+ # to.
diff --git a/media-sound/mpd/metadata.xml b/media-sound/mpd/metadata.xml
new file mode 100644
index 0000000..6515453
--- /dev/null
+++ b/media-sound/mpd/metadata.xml
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sound</herd>
+ <maintainer>
+ <email>angelos@gentoo.org</email>
+ <name>Christoph Mende</name>
+ </maintainer>
+ <maintainer>
+ <email>hwoarang@gentoo.org</email>
+ <name>Markos Chandras</name>
+ </maintainer>
+ <use>
+ <flag name="adplug">Enable the AdPlug decoder plugin</flag>
+ <flag name="cdio">Use libcdio for ISO9660 parsing support</flag>
+ <flag name="curl">Support for web stream listening</flag>
+ <flag name="faad">Use external faad library for AAC decoding</flag>
+ <flag name="fifo">Support writing audio to a FIFO</flag>
+ <flag name="fluidsynth">Enables Fluidsynth MIDI software synthesis</flag>
+ <flag name="gme">Enables support for <pkg>media-libs/game-music-emu</pkg> for playing various video game music formats.</flag>
+ <flag name="id3tag">Support for ID3 tags</flag>
+ <flag name="inotify">Use the Linux kernel inotify subsystem to notice changes to mpd music library</flag>
+ <flag name="lame">Support for MP3 streaming via Icecast2</flag>
+ <flag name="libmpdclient">Enable support for remote mpd databases</flag>
+ <flag name="network">Enables network streaming support</flag>
+ <flag name="opus">Enable Opus codec support</flag>
+ <flag name="pipe">Support writing audio to a pipe</flag>
+ <flag name="recorder">Enables output plugin for recording radio streams</flag>
+ <flag name="sid">Build with SID (Commodore 64 Audio) support</flag>
+ <flag name="soundcloud">Build plugin to access soundcloud</flag>
+ <flag name="systemd">Enable support for systemd socket activation</flag>
+ <flag name="twolame">Support twolame MPEG-2 encoding</flag>
+ <flag name="wildmidi">Enable MIDI support via wildmidi</flag>
+ <flag name="zip">Support for ZIP files</flag>
+ <flag name="mpg123">Enable support for mp3 decoding over media-sound/mpg123</flag>
+ </use>
+</pkgmetadata>
diff --git a/media-sound/mpd/mpd-scm.ebuild b/media-sound/mpd/mpd-scm.ebuild
new file mode 100644
index 0000000..2ef2ce4
--- /dev/null
+++ b/media-sound/mpd/mpd-scm.ebuild
@@ -0,0 +1,200 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/mpd/mpd-0.18.ebuild,v 1.1 2013/10/31 12:50:49 angelos Exp $
+
+EAPI=4
+inherit eutils flag-o-matic linux-info multilib readme.gentoo systemd user \
+ autotools git-2
+
+DESCRIPTION="The Music Player Daemon (mpd)"
+HOMEPAGE="http://www.musicpd.org"
+EGIT_REPO_URI="git://git.musicpd.org/master/mpd.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="adplug +alsa ao audiofile bzip2 cdio +curl debug faad +fifo +ffmpeg flac
+ fluidsynth gme +id3tag inotify ipv6 jack lame mms libmpdclient
+ libsamplerate +mad mikmod modplug mpg123 musepack +network ogg openal opus
+ oss pipe pulseaudio recorder sid sndfile soundcloud sqlite systemd tcpd
+ twolame unicode vorbis wavpack wildmidi zeroconf zip"
+
+OUTPUT_PLUGINS="alsa ao fifo jack network openal oss pipe pulseaudio recorder"
+DECODER_PLUGINS="adplug audiofile faad ffmpeg flac fluidsynth mad mikmod
+ modplug mpg123 musepack ogg flac sid vorbis wavpack wildmidi"
+ENCODER_PLUGINS="audiofile flac lame twolame vorbis"
+
+REQUIRED_USE="|| ( ${OUTPUT_PLUGINS} )
+ || ( ${DECODER_PLUGINS} )
+ network? ( || ( ${ENCODER_PLUGINS} ) )
+ recorder? ( || ( ${ENCODER_PLUGINS} ) )"
+
+RDEPEND="!<sys-cluster/mpich2-1.4_rc2
+ dev-libs/glib:2
+ adplug? ( media-libs/adplug )
+ alsa? ( media-sound/alsa-utils
+ media-libs/alsa-lib )
+ ao? ( media-libs/libao[alsa?,pulseaudio?] )
+ audiofile? ( media-libs/audiofile )
+ bzip2? ( app-arch/bzip2 )
+ cdio? ( || ( dev-libs/libcdio-paranoia <dev-libs/libcdio-0.90[-minimal] ) )
+ curl? ( net-misc/curl )
+ faad? ( media-libs/faad2 )
+ ffmpeg? ( virtual/ffmpeg )
+ flac? ( media-libs/flac[ogg?] )
+ fluidsynth? ( media-sound/fluidsynth )
+ gme? ( >=media-libs/game-music-emu-0.6.0_pre20120802 )
+ id3tag? ( media-libs/libid3tag )
+ jack? ( media-sound/jack-audio-connection-kit )
+ lame? ( network? ( media-sound/lame ) )
+ libsamplerate? ( media-libs/libsamplerate )
+ mad? ( media-libs/libmad )
+ mikmod? ( media-libs/libmikmod:0 )
+ mms? ( media-libs/libmms )
+ modplug? ( media-libs/libmodplug )
+ mpg123? ( >=media-sound/mpg123-1.12.2 )
+ musepack? ( media-sound/musepack-tools )
+ network? ( >=media-libs/libshout-2
+ !lame? ( !vorbis? ( media-libs/libvorbis ) ) )
+ ogg? ( media-libs/libogg )
+ openal? ( media-libs/openal )
+ opus? ( media-libs/opus )
+ pulseaudio? ( media-sound/pulseaudio )
+ sid? ( media-libs/libsidplay:2 )
+ sndfile? ( media-libs/libsndfile )
+ soundcloud? ( >=dev-libs/yajl-2 )
+ sqlite? ( dev-db/sqlite:3 )
+ systemd? ( sys-apps/systemd )
+ tcpd? ( sys-apps/tcp-wrappers )
+ twolame? ( media-sound/twolame )
+ vorbis? ( media-libs/libvorbis )
+ wavpack? ( media-sound/wavpack )
+ wildmidi? ( media-sound/wildmidi )
+ zeroconf? ( net-dns/avahi[dbus] )
+ zip? ( dev-libs/zziplib )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ use network || ewarn "Icecast and Shoutcast streaming needs networking."
+ use fluidsynth && ewarn "Using fluidsynth is discouraged by upstream."
+
+ enewuser mpd "" "" "/var/lib/mpd" audio
+
+ if use inotify; then
+ CONFIG_CHECK="~INOTIFY_USER"
+ ERROR_INOTIFY_USER="${P} requires inotify in-kernel support."
+ linux-info_pkg_setup
+ fi
+}
+
+src_prepare() {
+ eautoreconf
+
+ DOC_CONTENTS="If you will be starting mpd via /etc/init.d/mpd, please make
+ sure that MPD's pid_file is unset."
+
+ cp -f doc/mpdconf.example doc/mpdconf.dist || die "cp failed"
+ epatch "${FILESDIR}"/${PN}conf.patch
+
+}
+
+src_configure() {
+ local mpdconf="--disable-despotify --disable-documentation --disable-roar
+ --enable-largefile --enable-tcp --enable-un
+ --docdir=${EPREFIX}/usr/share/doc/${PF}"
+
+ if use network; then
+ mpdconf+=" --enable-shout $(use_enable vorbis vorbis-encoder)
+ --enable-httpd-output $(use_enable lame lame-encoder)
+ $(use_enable twolame twolame-encoder)
+ $(use_enable audiofile wave-encoder)"
+ else
+ mpdconf+=" --disable-shout --disable-vorbis-encoder
+ --disable-httpd-output --disable-lame-encoder
+ --disable-twolame-encoder --disable-wave-encoder"
+ fi
+
+ append-lfs-flags
+ append-ldflags "-L/usr/$(get_libdir)/sidplay/builders"
+
+ econf \
+ $(use_enable alsa) \
+ $(use_enable ao) \
+ $(use_enable audiofile) \
+ $(use_enable bzip2) \
+ $(use_enable cdio cdio-paranoia) \
+ $(use_enable cdio iso9660) \
+ $(use_enable curl) \
+ $(use_enable debug) \
+ $(use_enable faad aac) \
+ $(use_enable ffmpeg) \
+ $(use_enable fifo) \
+ $(use_enable flac) \
+ $(use_enable fluidsynth) \
+ $(use_enable gme) \
+ $(use_enable id3tag id3) \
+ $(use_enable inotify) \
+ $(use_enable ipv6) \
+ $(use_enable jack) \
+ $(use_enable libmpdclient) \
+ $(use_enable libsamplerate lsr) \
+ $(use_enable mad) \
+ $(use_enable mikmod) \
+ $(use_enable mms) \
+ $(use_enable modplug) \
+ $(use_enable mpg123) \
+ $(use_enable musepack mpc) \
+ $(use_enable openal) \
+ $(use_enable oss) \
+ $(use_enable pipe pipe-output) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable recorder recorder-output) \
+ $(use_enable sid sidplay) \
+ $(use_enable sndfile sndfile) \
+ $(use_enable soundcloud) \
+ $(use_enable sqlite) \
+ $(use_enable systemd systemd-daemon) \
+ $(use_enable tcpd libwrap) \
+ $(use_enable vorbis) \
+ $(use_enable wavpack) \
+ $(use_enable wildmidi) \
+ $(use_enable zip zzip) \
+ $(use_with zeroconf zeroconf avahi) \
+ "$(systemd_with_unitdir)" \
+ ${mpdconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ insinto /etc
+ newins doc/mpdconf.dist mpd.conf
+
+ newinitd "${FILESDIR}"/mpd.init mpd
+
+ if use unicode; then
+ sed -i -e 's:^#filesystem_charset.*$:filesystem_charset "UTF-8":' \
+ "${ED}"/etc/mpd.conf || die "sed failed"
+ fi
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotate ${PN}
+
+ use prefix || diropts -m0755 -o mpd -g audio
+ dodir /var/lib/mpd
+ keepdir /var/lib/mpd
+ dodir /var/lib/mpd/music
+ keepdir /var/lib/mpd/music
+ dodir /var/lib/mpd/playlists
+ keepdir /var/lib/mpd/playlists
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+
+ # also change the homedir if the user has existed before
+ usermod -d "/var/lib/mpd" mpd
+}